<?
include_once("./_common.php");
include_once("$g4[path]/lib/mailer.lib.php");
$g4[title] = "인증메일 재전송";
include_once("./_head.php");

// 이미 로그인 중이라면
if ($member[mb_id])
{
    if ($url)
        goto_url($url);
    else
        goto_url($g4[path]);
}
//-- 인증 메일 다시 보내기
if($mb_id && $mb_email) {
	if($new_email) {
		//-- 이메일 변경
		$rows = sql_fetch("select * from $g4[member_table] where mb_id<>'$mb_id' and mb_email='$mb_email'");
		if($rows[mb_id])
			alert("입력하신 이메일은 이미 사용 중입니다. 다시 입력해 주세요.");
		else
			sql_query("update $g4[member_table] set mb_email='$mb_email' where mb_id='$mb_id'");
	}

	$tmp_mb	= get_member($mb_id);

	if($tmp_mb[mb_email] == $mb_email){
		$subject = "회원가입을 위한 인증 메일입니다.";

        $mb_md5 = md5($mb_id.$tmp_mb[mb_email].$tmp_mb[mb_datetime]);
        $certify_href = "$g4[url]/$g4[bbs]/email_certify.php?mb_id=$mb_id&mb_md5=$mb_md5";

        ob_start();
        include_once ("./register_form_update_mail1.php");
        $content = ob_get_contents();
        ob_end_clean();

		$admin = get_admin('super');
        mailer($admin[mb_nick], $admin[mb_email], $mb_email, $subject, $content, 1);

		alert("인증 메일을 다시 전송 했습니다.", $g4[path]);
	}else{
		alert("입력하신 이메일이 회원정보와 맞지 않습니다.");
	}
}

$icd	= zm_table_decode($icd);
$mb		= get_member($icd);
include_once("$member_skin_path/zm.register_send_certify.skin.php");
include_once("./_tail.php");
?>